/* /Vistas/Plantillas/AvisoDeReconexion.razor.rz.scp.css */
.components-reconexion-primer-intento-visible[b-0s2h8flsej],
.components-reconexion-reintento-visible[b-0s2h8flsej],
.components-reconexion-fallida-visible[b-0s2h8flsej],
.components-sesion-pausada-visible[b-0s2h8flsej],
.components-reanudar-fallido-visible[b-0s2h8flsej],
.components-animacion-reconexion[b-0s2h8flsej] {
    display: none;
}

#components-reconnect-modal.components-reconnect-show .components-reconexion-primer-intento-visible[b-0s2h8flsej],
#components-reconnect-modal.components-reconnect-show .components-animacion-reconexion[b-0s2h8flsej],
#components-reconnect-modal.components-reconnect-paused .components-sesion-pausada-visible[b-0s2h8flsej],
#components-reconnect-modal.components-reconnect-resume-failed .components-reanudar-fallido-visible[b-0s2h8flsej],
#components-reconnect-modal.components-reconnect-retrying[b-0s2h8flsej],
#components-reconnect-modal.components-reconnect-retrying .components-reconexion-reintento-visible[b-0s2h8flsej],
#components-reconnect-modal.components-reconnect-retrying .components-animacion-reconexion[b-0s2h8flsej],
#components-reconnect-modal.components-reconnect-failed[b-0s2h8flsej],
#components-reconnect-modal.components-reconnect-failed .components-reconexion-fallida-visible[b-0s2h8flsej] {
    display: block;
}


#components-reconnect-modal[b-0s2h8flsej] {
    background-color: white;
    width: 20rem;
    margin: 20vh auto;
    padding: 2rem;
    border: 0;
    border-radius: 0.5rem;
    box-shadow: 0 3px 6px 2px rgba(0, 0, 0, 0.3);
    opacity: 0;
    transition: display 0.5s allow-discrete, overlay 0.5s allow-discrete;
    animation: components-aviso-reconexion-fundido-salida-b-0s2h8flsej 0.5s both;
    &[open]

{
    animation: components-aviso-reconexion-desplazamiento-arriba-b-0s2h8flsej 1.5s cubic-bezier(.05, .89, .25, 1.02) 0.3s, components-aviso-reconexion-fundido-entrada-b-0s2h8flsej 0.5s ease-in-out 0.3s;
    animation-fill-mode: both;
}

}

#components-reconnect-modal[b-0s2h8flsej]::backdrop {
    background-color: rgba(0, 0, 0, 0.4);
    animation: components-aviso-reconexion-fundido-entrada-b-0s2h8flsej 0.5s ease-in-out;
    opacity: 1;
}

@keyframes components-aviso-reconexion-desplazamiento-arriba-b-0s2h8flsej {
    0% {
        transform: translateY(30px) scale(0.95);
    }

    100% {
        transform: translateY(0);
    }
}

@keyframes components-aviso-reconexion-fundido-entrada-b-0s2h8flsej {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

@keyframes components-aviso-reconexion-fundido-salida-b-0s2h8flsej {
    0% {
        opacity: 1;
    }

    100% {
        opacity: 0;
    }
}

.components-aviso-reconexion-contenedor[b-0s2h8flsej] {
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 1rem;
}

#components-reconnect-modal p[b-0s2h8flsej] {
    margin: 0;
    text-align: center;
}

#components-reconnect-modal button[b-0s2h8flsej] {
    border: 0;
    background-color: #6b9ed2;
    color: white;
    padding: 4px 24px;
    border-radius: 4px;
}

    #components-reconnect-modal button:hover[b-0s2h8flsej] {
        background-color: #3b6ea2;
    }

    #components-reconnect-modal button:active[b-0s2h8flsej] {
        background-color: #6b9ed2;
    }

.components-animacion-reconexion[b-0s2h8flsej] {
    position: relative;
    width: 80px;
    height: 80px;
}

    .components-animacion-reconexion div[b-0s2h8flsej] {
        position: absolute;
        border: 3px solid #0087ff;
        opacity: 1;
        border-radius: 50%;
        animation: components-animacion-reconexion-b-0s2h8flsej 1.5s cubic-bezier(0, 0.2, 0.8, 1) infinite;
    }

        .components-animacion-reconexion div:nth-child(2)[b-0s2h8flsej] {
            animation-delay: -0.5s;
        }

@keyframes components-animacion-reconexion-b-0s2h8flsej {
    0% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    4.9% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 0;
    }

    5% {
        top: 40px;
        left: 40px;
        width: 0;
        height: 0;
        opacity: 1;
    }

    100% {
        top: 0px;
        left: 0px;
        width: 80px;
        height: 80px;
        opacity: 0;
    }
}
